var dragObj = null, dx = 0, dy = 0;
function startDrag(e, id) {
    if(window.event) e = window.event;
    dragObj = document.getElementById(id);
    var x = e.clientX + scrollLeft();
    var y = e.clientY + scrollTop();
    var xObj = parseInt(dragObj.style.left);
    var yObj = parseInt(dragObj.style.top);
    dx = x - xObj; dy = y - yObj;
}
function mouseMove (e) {
    if(!dragObj) return;
    if(window.event) e = window.event;
    var x = e.clientX + scrollLeft();
    var y = e.clientY + scrollTop();
    dragObj.style.left = (x - dx) + "px";
    dragObj.style.top = (y - dy) + "px";
    if(window.event) window.event.returnValue = false;
    else return false;
}
function mouseUp (e) {
    dragObj = null;
}
if(document.getElementById) {
    document.onmousemove = mouseMove;
    document.onmouseup = mouseUp;
}

function scrollLeft () {
    if(window.pageXOffset)
        return window.pageXOffset;
    if(document.compatMode == "CSS1Compat")
        return document.body.parentNode.scrollLeft;
    if(document.body.scrollLeft)
        return document.body.scrollLeft;
    return 0;
}
function scrollTop () {
    if(window.pageYOffset)
        return window.pageYOffset;
    if(document.compatMode == "CSS1Compat")
        return document.body.parentNode.scrollTop;
    if(document.body.scrollTop)
        return document.body.scrollTop;
    return 0;